# Define the kmod package name here.
%define kmod_name r8192cu

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-71.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 3.0.1590.20110511
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.realtek.com.tw/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  RTL8192CU_linux_v%{version}.zip
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the kernel module(s) for Realtek RTL819x USB WiFi devices.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n RTL8192CU_8188CUS_8188CE-VAU_linux_v%{version}
%{__tar} -zxf driver/*.tar.gz
%{__cp} -a %{SOURCE5} .
echo "override 8192cu * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
pushd rtl8192_8188CU_linux_v%{version}
%{__make} KSRC=%{_usrsrc}/kernels/%{kversion}
popd

%install
%{__install} -d %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} rtl8192_8188CU_linux_v%{version}/8192cu.ko %{buildroot}/lib/modules/%{kversion}/extra/%{kmod_name}/
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} GPL-v2.0.txt %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} readme.txt %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} ReleaseNotes.doc %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} document/HowTo* %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} document/Wireless* %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} document/wpa* %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Sat Jul 02 2011 Alan Bartlett <ajb@elrepo.org> - 3.0.1590.20110511-1
- Updated to version 3.0.1590.20110511

* Wed Apr 20 2011 Alan Bartlett <ajb@elrepo.org> - 2.0.1324-1
- Initial el6 build of the kmod package.
